<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" 
		xmlns:ad="urn:x-inspire:specification:gmlas:Addresses:3.0"
        xmlns:am="http://inspire.ec.europa.eu/schemas/am/3.0"
        xmlns:am-ru="http://inspire.jrc.ec.europa.eu/schemas/am-ru/2.0"
        xmlns:aqd037c="http://aqd.ec.europa.eu/aqd/0.3.7c"
        xmlns:aqd="http://dd.eionet.europa.eu/schemaset/id2011850eu-1.0"
        xmlns:base2="http://inspire.ec.europa.eu/schemas/base2/1.0"
        xmlns:base="http://inspire.ec.europa.eu/schemas/base/3.3"
        xmlns:ef="http://inspire.ec.europa.eu/schemas/ef/3.0"
        xmlns:fn="http://www.w3.org/2005/xpath-functions"
        xmlns:gco="http://www.isotc211.org/2005/gco"
        xmlns:gmd="http://www.isotc211.org/2005/gmd"
        xmlns:gml="http://www.opengis.net/gml/3.2"
        xmlns:gn="urn:x-inspire:specification:gmlas:GeographicalNames:3.0"
        xmlns:gsr="http://www.isotc211.org/2005/gsr"
        xmlns:gss="http://www.isotc211.org/2005/gss"
        xmlns:gts="http://www.isotc211.org/2005/gts"
        xmlns:om="http://www.opengis.net/om/2.0"
        xmlns:ompr="http://inspire.ec.europa.eu/schemas/ompr/2.0"
        xmlns:sam="http://www.opengis.net/sampling/2.0"
        xmlns:sams="http://www.opengis.net/samplingSpatial/2.0"
        xmlns:sparql="http://www.w3.org/2005/sparql-results#"
        xmlns:swe="http://www.opengis.net/swe/2.0"
        xmlns:xlink="http://www.w3.org/1999/xlink"
        xmlns:xs="http://www.w3.org/2001/XMLSchema"
        xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
		xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

<xsl:template match="/">
  <html>
  <body>
  <h2>Beurteilungsregime</h2>
    <table border="1">
      <tr bgcolor="#C0C0C0">
        <th style="text-align:left">Assessment Regime</th>
        <th style="text-align:left">Zone</th>
        <th style="text-align:left">Pollutant</th>
        <th style="text-align:left">Protection Target</th>
        <th style="text-align:left">Reporting Metric</th>
        <th style="text-align:left">Objective Type</th>
        <th style="text-align:left">Classification Date</th>
        <th style="text-align:left">Classification Report</th>
        <th style="text-align:left">Exceedance Attainment</th>
        <th style="text-align:left">Assessment Type Count</th>
        <th style="text-align:left">Stations used for Assessment (Asssessment Type = fixed)</th>
        <th style="text-align:left">Stations used for Assessment (Asssessment Type = indicative)</th>
        <th style="text-align:left">Stations used for Assessment (Asssessment Type = random sample)</th>
        <th style="text-align:left">Model used for Assessment (Asssessment Type = model)</th>
        <th style="text-align:left">Objective estimation used for Assessment (Asssessment Type = objective)</th>
        <th style="text-align:left">Version</th>
      </tr>
      <xsl:for-each select="gml:FeatureCollection/gml:featureMember/aqd:AQD_AssessmentRegime/aqd:inspireId/base:Identifier">
      <tr>
        <td><xsl:value-of select="base:localId"/></td>
        <td>
  				<xsl:choose>
    				<xsl:when test="contains(base:localId,'ARE.DE_DE')">
    					<xsl:value-of select="substring(base:localId,8,11)"/>
    				</xsl:when>
    				<xsl:otherwise>
    					<text>OTHER</text>
    				</xsl:otherwise>
  				</xsl:choose>
		</td>
        <td><xsl:value-of select="substring(../../aqd:pollutant/@xlink:href,52,20)"/></td>
        <td><xsl:value-of select="substring(../../aqd:assessmentThreshold/aqd:AssessmentThreshold/aqd:environmentalObjective/aqd:EnvironmentalObjective/aqd:protectionTarget/@xlink:href,59,20)"/></td>
        <td><xsl:value-of select="substring(../../aqd:assessmentThreshold/aqd:AssessmentThreshold/aqd:environmentalObjective/aqd:EnvironmentalObjective/aqd:reportingMetric/@xlink:href,58,20)"/></td>
        <td><xsl:value-of select="substring(../../aqd:assessmentThreshold/aqd:AssessmentThreshold/aqd:environmentalObjective/aqd:EnvironmentalObjective/aqd:objectiveType/@xlink:href,56,20)"/></td>
        <td><xsl:value-of select="substring(../../aqd:assessmentThreshold/aqd:AssessmentThreshold/aqd:classificationDate/gml:TimeInstant/gml:timePosition,1,10)"/></td>
        <td><xsl:value-of select="../../aqd:assessmentThreshold/aqd:AssessmentThreshold/aqd:classificationReport"/></td>
        <td><xsl:value-of select="substring(../../aqd:assessmentThreshold/aqd:AssessmentThreshold/aqd:exceedanceAttainment/@xlink:href,72,20)"/></td>
        <td><xsl:value-of select="count(../../aqd:assessmentMethods)"/></td>
        <td>
        <xsl:for-each select="../../aqd:assessmentMethods/aqd:AssessmentMethods/aqd:assessmentType[@xlink:href='http://dd.eionet.europa.eu/vocabulary/aq/assessmenttype/fixed']">
        	<xsl:for-each select="../aqd:samplingPointAssessmentMetadata">
       			<xsl:value-of select="substring(@xlink:href,66,7)"/>
  					<xsl:choose>
    				<xsl:when test="position() != last()">, </xsl:when>
  				</xsl:choose>
  			</xsl:for-each>
        </xsl:for-each>
        </td>
        <td>
        <xsl:for-each select="../../aqd:assessmentMethods/aqd:AssessmentMethods/aqd:assessmentType[@xlink:href='http://dd.eionet.europa.eu/vocabulary/aq/assessmenttype/indicative']">
        	<xsl:for-each select="../aqd:samplingPointAssessmentMetadata">
       			<xsl:value-of select="substring(@xlink:href,66,7)"/>
  					<xsl:choose>
    				<xsl:when test="position() != last()">, </xsl:when>
  				</xsl:choose>
  			</xsl:for-each>
        </xsl:for-each>
        </td>
        <td>
        <xsl:for-each select="../../aqd:assessmentMethods/aqd:AssessmentMethods/aqd:assessmentType[@xlink:href='http://dd.eionet.europa.eu/vocabulary/aq/assessmenttype/fixedrandom']">
        	<xsl:for-each select="../aqd:samplingPointAssessmentMetadata">
       			<xsl:value-of select="substring(@xlink:href,66,7)"/>
  					<xsl:choose>
    				<xsl:when test="position() != last()">, </xsl:when>
  				</xsl:choose>
  			</xsl:for-each>
        </xsl:for-each>
        </td>
        <td>
        <xsl:for-each select="../../aqd:assessmentMethods/aqd:AssessmentMethods/aqd:assessmentType[@xlink:href='http://dd.eionet.europa.eu/vocabulary/aq/assessmenttype/model']">
        	<xsl:for-each select="../aqd:modelAssessmentMetadata">
       			<xsl:value-of select="@xlink:href"/>
  					<xsl:choose>
    				<xsl:when test="position() != last()">, </xsl:when>
  				</xsl:choose>
  			</xsl:for-each>
        </xsl:for-each>
        </td>
        <td>
        <xsl:for-each select="../../aqd:assessmentMethods/aqd:AssessmentMethods/aqd:assessmentType[@xlink:href='http://dd.eionet.europa.eu/vocabulary/aq/assessmenttype/objective']">
        	<xsl:for-each select="../aqd:samplingPointAssessmentMetadata">
       			<xsl:value-of select="substring(@xlink:href,66,7)"/>
  					<xsl:choose>
    				<xsl:when test="position() != last()">, </xsl:when>
  				</xsl:choose>
  			</xsl:for-each>
  			<xsl:for-each select="../aqd:modelAssessmentMetadata">
       			<xsl:value-of select="@xlink:href"/>
  					<xsl:choose>
    				<xsl:when test="position() != last()">, </xsl:when>
  				</xsl:choose>
  			</xsl:for-each>
        </xsl:for-each>
        </td>
        <td><xsl:value-of select="base:versionId"/></td>
      </tr>
      </xsl:for-each>
    </table>
  </body>
  </html>
</xsl:template>
</xsl:stylesheet>

